Subject: Re: bug#36773: 27.0.50; Accessing a cached SVG with eww can cause Emacs to crash
From: Eli Zaretskii <[email-masked]>
To: Pip Cet <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 27 Jul 2019 13:58:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Pip Cet <[email-masked]>
> Date: Thu, 25 Jul 2019 14:14:43 +0000
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > > I misread what you wrote at first, but I like my misreading better:
> > > url-handle-content-transfer-encoding modifies the message, but not its
> > > headers. Why shouldn't it do both?
> >
> > Yes, I think it should.  Because that's the root cause of the problem:
> > the data is uncompressed, but the headers still say it is compressed.
> 
> Okay, I think it's likely we're going to require something similar for
> other headers, so I added an argument to mail-fetch-field to delete
> the fetched field's header line(s).
> 
> Patches attached (the first should be unmodified). Appears to work here.

Thanks, I've now pushed your second patch, and I'm closing this bug.